# OpenLayers.Format.WPSCapabilities.v1_0_0

Read WPS Capabilities version 1.0.0.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WPSCapabilities.v1_0_0 | Read WPS Capabilities version 1.0.0.
Properties |
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
regExes | Compiled regular expressions for manipulating strings.
Constructor |
OpenLayers.Format.WPSCapabilities.v1_0_0 | Create a new parser for WPS capabilities version 1.0.0.
Functions |
read | Read capabilities data from a string, and return info about the WPS.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.

### Properties

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### regExes

Compiled regular expressions for manipulating strings.

### Constructor

### OpenLayers.Format.WPSCapabilities.v1_0_0

Create a new parser for WPS capabilities version 1.0.0.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read capabilities data from a string, and return info about the WPS.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object} Information about the WPS service.

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

> read: function( | data | )

Read capabilities data from a string, and return info about the WPS.
Read and write XML.
Close